<script setup lang="ts">
import { type Product } from '@/types/Product'
const props = defineProps<{
  product: Product
}>()

const emit = defineEmits<{
  selectedProduct: [Product]
}>()
const selected = function () {
  console.log('ProductCard: ' + props.product)
  emit('selectedProduct', props.product)
}
</script>
<template>
  <!-- 
  <v-sheet width="150" height="150" elevation="3" @click="selected">
    <v-img :src="`./Product/Drink/drink${product.id}.png`" height="100" cover></v-img>
    <div style="text-align: center">{{ product.name }}</div>
    <div style="text-align: center">{{ product.price }} บาท</div>
  </v-sheet> -->

  <v-sheet width="150" height="150" elevation="3" @click="selected">
    <v-img
      :src="`./Product/${product.type}/${product.type}${product.id}.png`"
      height="100"
      cover
    ></v-img>
    <div style="text-align: center">{{ product.name }}</div>
    <div style="text-align: center">{{ product.price }} บาท</div>
  </v-sheet>

  <!-- <v-sheet width="150" height="150" elevation="3" @click="selected">
    <v-img :src="`./Product/Food/food${product.id}.png`" height="100" cover></v-img>
    <div style="text-align: center">{{ product.name }}</div>
    <div style="text-align: center">{{ product.price }} บาท</div>
  </v-sheet>  -->
</template>
